def KEYCODE = {};
setprot(KEYCODE);
const KEYCODE.TAB				= 0x09;
const KEYCODE.RETURN			= 0x0D;
const KEYCODE.SHIFT				= 0x10;
const KEYCODE.CONTROL			= 0x11;
const KEYCODE.MENU				= 0x12;
const KEYCODE.ALT				= 0x12;
const KEYCODE.ESCAPE			= 0x1B;
const KEYCODE.PGUP				= 0x21;
const KEYCODE.PGDN				= 0x22;
const KEYCODE.END				= 0x23;
const KEYCODE.HOME				= 0x24;
const KEYCODE.LEFT				= 0x25;
const KEYCODE.UP				= 0x26;
const KEYCODE.RIGHT				= 0x27;
const KEYCODE.DOWN				= 0x28;
const KEYCODE.INSERT			= 0x2D;
const KEYCODE.DELETE			= 0x2E;

def D3DIMAGEFLAGS = {};
setprot(D3DIMAGEFLAGS);
const D3DIMAGEFLAGS.MinimizeNumSubdivisions	= 0x0001;
const D3DIMAGEFLAGS.Use64By64Subdivisions	= 0x0002;
const D3DIMAGEFLAGS.UseA4R4G4B4				= 0x0004;
const D3DIMAGEFLAGS.UseA8R8G8B8				= 0x0008;

def CURSOR = {};
setprot(CURSOR);
const CURSOR.POINTER			= 0;
const CURSOR.HAND				= 1;
const CURSOR.DRAGGING			= 2;
const CURSOR.TEXT				= 3;
const CURSOR.CIRCLE_SLASH		= 4;
const CURSOR.SIZEALL			= 5;
const CURSOR.SIZENESW			= 6;
const CURSOR.SIZENS				= 7;
const CURSOR.SIZENWSE			= 8;
const CURSOR.SIZEWE				= 9;
const CURSOR.WAIT				= 10;
const CURSOR.NONE				= 11;
const CURSOR.CUSTOM				= 12;

def DIALOG = {};
setprot(DIALOG);
def DIALOG.BUTTONS = {};
setprot(DIALOG.BUTTONS);
const DIALOG.BUTTONS.NONE		= 0;
const DIALOG.BUTTONS.YES_NO		= 1;
const DIALOG.BUTTONS.OK_CANCEL	= 2;
const DIALOG.BUTTONS.FOOTER		= 3;
def DIALOG.ID = {};
setprot(DIALOG.ID);
const DIALOG.ID.YES				= 1000;
const DIALOG.ID.NO				= 1001;
const DIALOG.ID.OK				= 1000;
const DIALOG.ID.CANCEL			= 1001;
const DIALOG.ID.FOOTER			= 1000;

def DRAWMODE = {};
setprot(DRAWMODE);
const DRAWMODE.NORMAL			= 0;
const DRAWMODE.ADDITIVE			= 1;
